Mac OS X Development Development and discussion on the latest hackintosh drivers and methods.

Reply
 
Thread Tools Display Modes
  (#1) Old
grassle grassle is offline
Senior Member
 
Posts: 373
Join Date: May 2009
Default NetBookBootMaker 0.8.4 and later for PPC? - 04-25-2010, 06:37 PM

Will there be a PPC build of NBM? It would make things much easier for those of us using an older mac as 'that other machine'.

g
Reply With Quote
  (#2) Old
minihack minihack is offline
Member
 
Posts: 45
Join Date: Apr 2010
Default 04-26-2010, 07:29 AM

Hi,
Because NBM and NBI are ways of running an OS on OSX86 hardware and are especially for Intel Atom, they will never be adapted to allow installs onto PPC hardware. However, if what you want to do is migrate an install from a PPC Mac to a new Dell based on Intel hardware then that is possible by doing a regular NBM/NBI install on to your netbook, then cloning your hard disk from your PPC based mac onto an external USB drive, then connect that USB drive to your Dell and finally running "Migration Assistant" to transfer all your old files, folders and app.s to the new machine.
As long as you have "Rosetta" installed on the new Dell install you will probably get about 80% compatability for your old stuff - don't expect old PPC versions of Photoshop to work well for instance.
You will get better compatability if you install Leopard rather than Snow Leopard to your Dell (so don't use versions older than 0.8.3 of NBM).
If actually you mean that NBM cannot be used on a PPC machine to prepare a USB stick based DVD installer, then I am afraid this post of mine is no help at all......Obviously the latest version won't work (as you need Snow Leopard on the source machine) and it won't run on Tiger machines, but I would have thought 0.8.3 might have worked using later versions of 10.5.??
Reply With Quote
  (#3) Old
grassle grassle is offline
Senior Member
 
Posts: 373
Join Date: May 2009
Default 04-26-2010, 08:13 AM

Thanks, that was a thorough answer

What I'd like to do is to do the preparation of the USB install on a PPC/leopard machine, hence I didn't ask for NBI, only for NBM.

I had a bizarre Finder issue after upgrading NBI 0.8.3 to 0.8.4 RC1 and tried downgrading (back to 0.8.3), but after that booting was no more possible.

Now I want a clean 0.8.4 install (+ migrate from the time machine backup), and a PPC NBM 0.8.4 would eliminate any errors resulting from residues of a temporarily used NBM 0.8.3.
Reply With Quote
  (#4) Old
meklort meklort is offline
Guru
 
meklort's Avatar
 
Posts: 1,353
Join Date: Feb 2009
Location: Colorado, USA
Send a message via AIM to meklort Send a message via MSN to meklort Send a message via Yahoo to meklort
Default 04-28-2010, 02:08 AM

I believe I compiled NBI for 10.6 only, and NBBM for 10.5.x+ (I'll double check).

I'd conceder compiling NBI for 10.5 as well, however there are limited cases where you'd need it.

Either way, I'll double check that NBBM is compiled for 10.5+ and that it works on PPC (most likely Leopard, although I'd like to add Tiger support to NBBM as well).


Dell Mini 9 | Mac OS X 10.6.5 | 2 GB RAM | 32 GB Buffalo SSD | BIOS A05
Dell Mini 10v | Mac OS X 10.6.5 | 1 GB RAM | 160 GB HDD | BIOS A06
My Blog | NetbookInstaller code repository | NetbookInstaller Website | Want a Lockerz.com invite? message me.
Reply With Quote
  (#5) Old
grassle grassle is offline
Senior Member
 
Posts: 373
Join Date: May 2009
Default 04-28-2010, 08:59 AM

Thank you!
You guys are so great you are about to come out on the other side of greatness.
Reply With Quote
  (#6) Old
osxq osxq is offline
Member
 
Posts: 39
Join Date: Dec 2009
Default 10-05-2010, 06:46 AM

Hi,

I have an eMac G4 and was following these instructions Dell Mini 10v Installation via USB and Mac | Guides | OS X | mechdrew when I reached the part to setup the USB stick with NBBM, the version I downloaded 0.8.4RC1 didnt work in my G4 at all (version not supported) and when I tried running the same version in my mini 9 w/ 10.5.7 it crashed.

so I then downloaded NBBM 0.8.3 which ran in my G4 and used it to prep the USB stick (10.6).

Question is: Will NBBM 0.8.3 work to install 10.6 or should I redo the restore of 10.6 to the USB stick (in other words, did i screwed up this process) and must redo it, and then find someone else with a SL machine?


White Dell Mini 9 | OS X 10.6.6 | BIOS A05 | 2G RAM | 16GB SSD | NIB 20100616212351 | USB ExtDrv 250GB
eMac G4 | OS X 10.5.8 | 1G RAM
Reply With Quote
  (#7) Old
osxq osxq is offline
Member
 
Posts: 39
Join Date: Dec 2009
Default 10-11-2010, 11:01 PM

an update to this thread. I was able to prepare my USB stick with a manual process by jamesbarnhill check this post: http://www.mydellmini.com/forum/dell...etail-dvd.html read #8 - That worked for me and now I have 10.6.4 installed.

I guess now that I am running 10.6.x I should recreate my USB stick with NBBM 0.8.4 RC1.


White Dell Mini 9 | OS X 10.6.6 | BIOS A05 | 2G RAM | 16GB SSD | NIB 20100616212351 | USB ExtDrv 250GB
eMac G4 | OS X 10.5.8 | 1G RAM
Reply With Quote
Reply

Tags
nbm, ppc, ├č.8.4

« Previous Thread | Next Thread »
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Copyright © 2008-2016 MyDellMini.com.